NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Motion::BodyContactBuilder Class Reference

Represents a NXOpen::Motion::BodyContactBuilder
To create a new instance of this class, use NXOpen::Motion::BodyContactCollection::CreateBodyContactBuilder
Default values. More...

Inheritance diagram for NXOpen::Motion::BodyContactBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  ContactTypeOption { ContactTypeOptionCADToCADContact, ContactTypeOptionSphereToCADContact }
 the contact type (3D Contact or Sphere to CAD Contact) More...
 

Public Member Functions

NXOpen::Motion::BodyContactAdamsAdamsParameters ()
 Returns the 3D BodyContact's subobject (the adams parameters)
Created in NX5.0.0. More...
 
NXOpen::Motion::BodyContactBuilder::ContactTypeOption ContactType ()
 Returns the type: 3D contact or Sphere to CAD
Created in NX12.0.0. More...
 
NXOpen::SelectNXObjectListFirstContactGeometry ()
 Returns the selection of the first contact geometry
Created in NX5.0.0. More...
 
NXOpen::Motion::BodyContactLmsLmsParameters ()
 Returns the 3D BodyContact's subobject (the lms parameters)
Created in NX10.0.0. More...
 
NXString Name ()
 Returns the name
Created in NX6.0.0. More...
 
NXOpen::Motion::BodyContactRecurdynRecurdynParameters ()
 Returns the 3D BodyContact's subobject (the recurdyn parameters)
Created in NX5.0.0. More...
 
NXOpen::SelectNXObjectListSecondContactGeometry ()
 Returns the selection of the second contact geometry
Created in NX5.0.0. More...
 
void SetContactType (NXOpen::Motion::BodyContactBuilder::ContactTypeOption type)
 Sets the type: 3D contact or Sphere to CAD
Created in NX12.0.0. More...
 
void SetName (const NXString &name)
 Sets the name
Created in NX6.0.0. More...
 
void SetName (const char *name)
 Sets the name
Created in NX6.0.0. More...
 
void SetSphereCenter (NXOpen::Point *sphereCenter)
 Sets the selection of sphere center for Sphere To CAD
Created in NX12.0.0. More...
 
NXOpen::PointSphereCenter ()
 Returns the selection of sphere center for Sphere To CAD
Created in NX12.0.0. More...
 
NXOpen::Motion::SelectLinkSphereLink ()
 Returns the selection of sphere link for Sphere To CAD
Created in NX12.0.0. More...
 
NXOpen::Motion::BodyContactSphereToCADSphereToCadParameters ()
 Returns the 3D BodyContact's subobject (the sphere to cad parameters)
Created in NX12.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Motion::BodyContactBuilder
To create a new instance of this class, use NXOpen::Motion::BodyContactCollection::CreateBodyContactBuilder
Default values.

Property Value

AdamsParameters.CoulombFrictionOption

Off

AdamsParameters.DynamicCoefficientExpression.Value

0.2

AdamsParameters.ForceExponentExpression.Value

2.0

AdamsParameters.ForceModelType

Impact

AdamsParameters.FrictionVelocityExpression.Value

0.1 (millimeters part), 0.003937 (inches part)

AdamsParameters.MaterialDampingExpression.Value

10000.0 (millimeters part), 57.0993 (inches part)

AdamsParameters.PenetrationDepthExpression.Value

0.01 (millimeters part), 0.0003937 (inches part)

AdamsParameters.RestitutionCoefficentExpression.Value

0.85

AdamsParameters.StaticCoefficientExpression.Value

0.3

AdamsParameters.StictionVelocityExpression.Value

0.01 (millimeters part), 0.0003937 (inches part)

AdamsParameters.StiffnessExpression.Value

100000000.0 (millimeters part), 570993.142 (inches part)

LmsParameters.ActionAngleTolerance.Value

25

LmsParameters.ActionDistanceTolerance.Value

0.0 (millimeters part), 0.0 (inches part)

LmsParameters.ActionEnableMaxFacetSize

0

LmsParameters.ActionMaxFacetSize.Value

1000 (millimeters part), 39.370078740157 (inches part)

LmsParameters.ActionUseTessellationFile

0

LmsParameters.BaseAngleTolerance.Value

25

LmsParameters.BaseDistanceTolerance.Value

0.0 (millimeters part), 0.0 (inches part)

LmsParameters.BaseEnableMaxFacetSize

0

LmsParameters.BaseMaxFacetSize.Value

1000 (millimeters part), 39.370078740157 (inches part)

LmsParameters.BaseUseTessellationFile

0

LmsParameters.CoulombFrictionOption

Off

LmsParameters.DynamicCoefficient.Value

0.2

LmsParameters.ForceExponent.Value

2.0

LmsParameters.ForceModel

Auto

LmsParameters.ForceModelTolerance.Value

5.0 (millimeters part), 0.196850393700787 (inches part)

LmsParameters.FrictionVelocity.Value

0.1 (millimeters part), 0.003937 (inches part)

LmsParameters.MaterialDamping.Value

10000.0 (millimeters part), 57.1014715473270000 (inches part)

LmsParameters.MaxPenetrationDepth.Value

0.0254 (millimeters part), 0.001 (inches part)

LmsParameters.StaticCoefficient.Value

0.3

LmsParameters.StictionVelocity.Value

0.01 (millimeters part), 0.0003937 (inches part)

LmsParameters.Stiffness.Value

100000000.0 (millimeters part), 571014.71547327 (inches part)

RecurdynParameters.BufferRadiusFactorExpression.Value

1.2

RecurdynParameters.ContactTypeOption

Solid

RecurdynParameters.CoulombFrictionOption

Off

RecurdynParameters.DynamicCoefficientExpression.Value

0.2

RecurdynParameters.FirstGeometryBoundingBufferLengthExpression.Value

20 (millimeters part), 0.7874 (inches part)

RecurdynParameters.FirstGeometryMaxFacetSizeFactorExpression.Value

2.0

RecurdynParameters.FirstGeometryMaxFacetSizeFactorFlag

False

RecurdynParameters.FirstGeometryMaximumPenetrationExpression.Value

1.0 (millimeters part), 0.03937 (inches part)

RecurdynParameters.FirstGeometryPlaneToleranceFactorExpression.Value

5.0

RecurdynParameters.FirstGeometryPlaneToleranceFactorSolidContactExpression.Value

3.0

RecurdynParameters.ForceExponentExpression.Value

2.0

RecurdynParameters.ForceModelType

Impact

RecurdynParameters.FrictionVelocityExpression.Value

0.1 (millimeters part), 0.003937 (inches part)

RecurdynParameters.GlobalMaxPenetrationExpression.Value

10.0 (millimeters part), 0.3937 (inches part)

RecurdynParameters.LocalMaxPenetrationExpression.Value

0.0

RecurdynParameters.MaterialDampingExpression.Value

10000.0 (millimeters part), 57.0993 (inches part)

RecurdynParameters.MaximumStepSizeFactorExpression.Value

10.0

RecurdynParameters.PenetrationDepthExpression.Value

0.01 (millimeters part), 0.0003937 (inches part)

RecurdynParameters.ReboundDampingFactorExpression.Value

0.25

RecurdynParameters.ReboundDampingFactorFlag

True

RecurdynParameters.SecondGeometryBoundingBufferLengthExpression.Value

20 (millimeters part), 0.7874 (inches part)

RecurdynParameters.SecondGeometryMaxFacetSizeFactorExpression.Value

2.0

RecurdynParameters.SecondGeometryMaxFacetSizeFactorFlag

False

RecurdynParameters.SecondGeometryMaximumPenetrationExpression.Value

1.0 (millimeters part), 0.03937 (inches part)

RecurdynParameters.SecondGeometryPlaneToleranceFactorExpression.Value

5.0

RecurdynParameters.SecondGeometryPlaneToleranceFactorSolidContactExpression.Value

3.0

RecurdynParameters.StaticCoefficientExpression.Value

0.3

RecurdynParameters.StictionVelocityExpression.Value

0.01 (millimeters part), 0.0003937 (inches part)

RecurdynParameters.StiffnessExpression.Value

100000000.0 (millimeters part), 570993.142 (inches part)

RecurdynParameters.SurfaceTypeOption

Faceted

SphereToCadParameters.BodyAngleTolerance.Value

25

SphereToCadParameters.BodyDistanceTolerance.Value

0.0 (millimeters part), 0.0 (inches part)

SphereToCadParameters.BodyEnableMaxFacetSize

0

SphereToCadParameters.BodyMaxFacetSize.Value

1000 (millimeters part), 39.370078740157 (inches part)

SphereToCadParameters.CoulombFrictionOption

Off

SphereToCadParameters.DynamicCoefficient.Value

0.2

SphereToCadParameters.ForceExponent.Value

2.0

SphereToCadParameters.FrictionVelocity.Value

0.1 (millimeters part), 0.003937 (inches part)

SphereToCadParameters.MaterialDamping.Value

10000.0 (millimeters part), 57.1014715473270000 (inches part)

SphereToCadParameters.MaxPenetrationDepth.Value

0.0254 (millimeters part), 0.001 (inches part)

SphereToCadParameters.SphereRadius.Value

1000.0 (millimeters part), 39.370078740157 (inches part)

SphereToCadParameters.StaticCoefficient.Value

0.3

SphereToCadParameters.StictionVelocity.Value

0.01 (millimeters part), 0.0003937 (inches part)

SphereToCadParameters.Stiffness.Value

100000000.0 (millimeters part), 571014.71547327 (inches part)

SphereToCadParameters.SuperElementIncrement

1

SphereToCadParameters.SuperElementReportInstance

1

SphereToCadParameters.UseTessellationFile

0


Created in NX5.0.0.

Member Enumeration Documentation

the contact type (3D Contact or Sphere to CAD Contact)

Enumerator
ContactTypeOptionCADToCADContact 

cadto cadcontact

ContactTypeOptionSphereToCADContact 

sphere to cadcontact

Member Function Documentation

NXOpen::Motion::BodyContactAdams* NXOpen::Motion::BodyContactBuilder::AdamsParameters ( )

Returns the 3D BodyContact's subobject (the adams parameters)
Created in NX5.0.0.



License requirements : None

NXOpen::Motion::BodyContactBuilder::ContactTypeOption NXOpen::Motion::BodyContactBuilder::ContactType ( )

Returns the type: 3D contact or Sphere to CAD
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

NXOpen::SelectNXObjectList* NXOpen::Motion::BodyContactBuilder::FirstContactGeometry ( )

Returns the selection of the first contact geometry
Created in NX5.0.0.



License requirements : None

NXOpen::Motion::BodyContactLms* NXOpen::Motion::BodyContactBuilder::LmsParameters ( )

Returns the 3D BodyContact's subobject (the lms parameters)
Created in NX10.0.0.



License requirements : None

NXString NXOpen::Motion::BodyContactBuilder::Name ( )

Returns the name
Created in NX6.0.0.



License requirements : None

NXOpen::Motion::BodyContactRecurdyn* NXOpen::Motion::BodyContactBuilder::RecurdynParameters ( )

Returns the 3D BodyContact's subobject (the recurdyn parameters)
Created in NX5.0.0.



License requirements : None

NXOpen::SelectNXObjectList* NXOpen::Motion::BodyContactBuilder::SecondContactGeometry ( )

Returns the selection of the second contact geometry
Created in NX5.0.0.



License requirements : None

void NXOpen::Motion::BodyContactBuilder::SetContactType ( NXOpen::Motion::BodyContactBuilder::ContactTypeOption  type)

Sets the type: 3D contact or Sphere to CAD
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

Parameters
typetype
void NXOpen::Motion::BodyContactBuilder::SetName ( const NXString name)

Sets the name
Created in NX6.0.0.



License requirements : mechanisms ("MECHANISMS")

Parameters
namename
void NXOpen::Motion::BodyContactBuilder::SetName ( const char *  name)

Sets the name
Created in NX6.0.0.



License requirements : mechanisms ("MECHANISMS")

Parameters
namename
void NXOpen::Motion::BodyContactBuilder::SetSphereCenter ( NXOpen::Point sphereCenter)

Sets the selection of sphere center for Sphere To CAD
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

Parameters
sphereCenterspherecenter
NXOpen::Point* NXOpen::Motion::BodyContactBuilder::SphereCenter ( )

Returns the selection of sphere center for Sphere To CAD
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

NXOpen::Motion::SelectLink* NXOpen::Motion::BodyContactBuilder::SphereLink ( )

Returns the selection of sphere link for Sphere To CAD
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

NXOpen::Motion::BodyContactSphereToCAD* NXOpen::Motion::BodyContactBuilder::SphereToCadParameters ( )

Returns the 3D BodyContact's subobject (the sphere to cad parameters)
Created in NX12.0.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.